Package de.willuhn.jameica.hbci.gui.controller

# Class UmsatzTypControl

java.lang.Object
de.willuhn.jameica.gui.AbstractControl
de.willuhn.jameica.hbci.gui.controller.UmsatzTypControl

public class UmsatzTypControl extends de.willuhn.jameica.gui.AbstractControl
Controller fuer die Umsatz-Kategorien.

## Nested Class Summary

Nested Classes
Modifier and Type
Class
Description
`static class`
`UmsatzTypControl.UmsatzTypObject`
Hilfsklasse fuer die Art der Kategorie.

## Field Summary

### Fields inherited from class de.willuhn.jameica.gui.AbstractControl

`view`

## Constructor Summary

Constructors
Constructor
Description
`UmsatzTypControl(de.willuhn.jameica.gui.AbstractView view)`

## Method Summary

Modifier and Type
Method
Description
`de.willuhn.jameica.gui.input.SelectInput`
`getArt()`
Liefert eine Auswahl-Box fuer die Art des Umsatzes.
`de.willuhn.jameica.gui.input.ColorInput`
`getColor()`
Feld zur Auswahl der Farbe.
`de.willuhn.jameica.gui.input.CheckboxInput`
`getCustomColor()`
Liefert eine Checkbox zur Aktivierung von benutzerdefinierten Farben.
`de.willuhn.jameica.gui.input.TextInput`
`getKommentar()`
Erzeugt das Eingabe-Feld fuer den Kommentar.
`KontoInput`
`getKonto()`
Liefert ein Auswahlfeld fuer das Konto.
`de.willuhn.jameica.gui.input.TextInput`
`getName()`
Erzeugt das Eingabe-Feld fuer den Namen.
`de.willuhn.jameica.gui.input.TextInput`
`getNummer()`
Erzeugt das Eingabe-Feld fuer die Nummer.
`UmsatzTypInput`
`getParent()`
Liefert eine Auswahlbox fuer die Eltern-Kategorie.
`de.willuhn.jameica.gui.input.TextInput`
`getPattern()`
Erzeugt das Eingabe-Feld fuer den Such-Pattern.
`de.willuhn.jameica.gui.input.CheckboxInput`
`getRegex()`
Liefert eine Checkbox zur Aktivierung von regulaeren Ausdruecken.
`de.willuhn.jameica.gui.input.CheckboxInput`
`getSkipReport()`
Liefert eine Checkbox, mit der festgelegt werden kann, ob eine Kategorie in den Auswertungen ignoriert werden soll.
`UmsatzTyp`
`getUmsatzTyp()`
Liefert den aktuellen Umsatz-Typ.
`boolean`
`handleStore()`
Speichert die Einstellungen.

### Methods inherited from class de.willuhn.jameica.gui.AbstractControl

`getCurrentObject`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### UmsatzTypControl

public UmsatzTypControl(de.willuhn.jameica.gui.AbstractView view)

Parameters:
  `view` -

## Method Details

### getUmsatzTyp

public UmsatzTyp getUmsatzTyp() throws RemoteException
Liefert den aktuellen Umsatz-Typ.

Returns:
  der aktuelle Umsatz-Typ.
Throws:
  `RemoteException`

### getName

public de.willuhn.jameica.gui.input.TextInput getName() throws RemoteException
Erzeugt das Eingabe-Feld fuer den Namen.

Returns:
  Eingabe-Feld.
Throws:
  `RemoteException`

### getKommentar

public de.willuhn.jameica.gui.input.TextInput getKommentar() throws RemoteException
Erzeugt das Eingabe-Feld fuer den Kommentar.

Returns:
  Eingabe-Feld.
Throws:
  `RemoteException`

### getNummer

public de.willuhn.jameica.gui.input.TextInput getNummer() throws RemoteException
Erzeugt das Eingabe-Feld fuer die Nummer.

Returns:
  Eingabe-Feld.
Throws:
  `RemoteException`

### getPattern

public de.willuhn.jameica.gui.input.TextInput getPattern() throws RemoteException
Erzeugt das Eingabe-Feld fuer den Such-Pattern.

Returns:
  Eingabe-Feld.
Throws:
  `RemoteException`

### getRegex

public de.willuhn.jameica.gui.input.CheckboxInput getRegex() throws RemoteException
Liefert eine Checkbox zur Aktivierung von regulaeren Ausdruecken.

Returns:
  Checkbox.
Throws:
  `RemoteException`

### getCustomColor

public de.willuhn.jameica.gui.input.CheckboxInput getCustomColor() throws RemoteException
Liefert eine Checkbox zur Aktivierung von benutzerdefinierten Farben.

Returns:
  Checkbox.
Throws:
  `RemoteException`

### getColor

public de.willuhn.jameica.gui.input.ColorInput getColor() throws RemoteException
Feld zur Auswahl der Farbe.

Returns:
  Auswahlfeld.
Throws:
  `RemoteException`

### getArt

public de.willuhn.jameica.gui.input.SelectInput getArt() throws RemoteException
Liefert eine Auswahl-Box fuer die Art des Umsatzes.

Returns:
  Auswahl-Box.
Throws:
  `RemoteException`

### getParent

public UmsatzTypInput getParent() throws RemoteException
Liefert eine Auswahlbox fuer die Eltern-Kategorie.

Returns:
  Auswahlbox.
Throws:
  `RemoteException`

### getKonto

public KontoInput getKonto() throws RemoteException
Liefert ein Auswahlfeld fuer das Konto.

Returns:
  Auswahl-Feld.
Throws:
  `RemoteException`

### getSkipReport

public de.willuhn.jameica.gui.input.CheckboxInput getSkipReport() throws RemoteException
Liefert eine Checkbox, mit der festgelegt werden kann, ob eine Kategorie in den Auswertungen ignoriert werden soll.

Returns:
  Checkbox.
Throws:
  `RemoteException`

### handleStore

public boolean handleStore()
Speichert die Einstellungen.

Returns:
  true, wenn das Speichern erfolgreich war.